<p align="center">
    <a href="https://sylius.com" target="_blank">
        <img src="https://demo.sylius.com/assets/shop/img/logo.png" />
    </a>
</p>

<h1 align="center">Dedi Paybox Plugin</h1>

<p align="center">Paybox plugin par Dedi.</p>

## Installation

```bash
$ composer require dedi/sylius-paybox-plugin
```

Ajouter le bundle dans `config/bundles.php`

```php
<?php

return [
 ...
 Dedi\SyliusPayboxPlugin\DediSyliusPayboxPlugin::class => ['all' => true],
];
```

## Usage

Ajouter un moyen de paiement dans l'administration. Choisir "Paybox" et renseigner les informations d'identifications Paybox :
- Site
- Identifiant
- Rang
- Clé HMAC

### Running plugin tests

  - PHPUnit

    ```bash
    $ vendor/bin/phpunit
    ```

  - PHPSpec

    ```bash
    $ vendor/bin/phpspec run
    ```

  - Behat (non-JS scenarios)

    ```bash
    $ vendor/bin/behat --tags="~@javascript"
    ```

  - Behat (JS scenarios)
 
    1. Download [Chromedriver](https://sites.google.com/a/chromium.org/chromedriver/)
    
    2. Download [Selenium Standalone Server](https://www.seleniumhq.org/download/).
    
    2. Run Selenium server with previously downloaded Chromedriver:
    
        ```bash
        $ java -Dwebdriver.chrome.driver=chromedriver -jar selenium-server-standalone.jar
        ```
        
    3. Run test application's webserver on `localhost:8080`:
    
        ```bash
        $ (cd tests/Application && bin/console server:run localhost:8080 -d public -e test)
        ```
    
    4. Run Behat:
    
        ```bash
        $ vendor/bin/behat --tags="@javascript"
        ```
